{"id":22671,"date":"2019-11-01T10:22:20","date_gmt":"2019-11-01T10:22:20","guid":{"rendered":"https:\/\/developer.kore.ai\/v7-2\/?p=22671"},"modified":"2020-06-08T10:55:26","modified_gmt":"2020-06-08T09:55:26","slug":"delete-customer-data-api","status":"publish","type":"post","link":"https:\/\/developer.kore.ai\/v7-2\/docs\/bots\/api-guide\/delete-customer-data-api\/","title":{"rendered":"Delete Customer Data API"},"content":{"rendered":"<section class=\"l-section wpb_row height_auto\"><div class=\"l-section-h i-cf\"><div class=\"g-cols vc_row type_default valign_top\"><div class=\"vc_col-sm-12 wpb_column vc_column_container\"><div class=\"vc_column-inner\"><div class=\"wpb_wrapper\">\r\n\t<div class=\"wpb_text_column \">\r\n\t\t<div class=\"wpb_wrapper\">\r\n\t\t\t<p>Used to delete customer data.<\/p>\n<p class=\"note\">This API requires JWT generated by an application created only from Bot Admin Console.<br \/>\nTo use this API, app needs the Admin API Scope of <em>Delete Users Data<\/em>\u00a0under <em>Bot Analytics<\/em>.<\/p>\n<p><b>DELETE<\/b> <code>https:\/\/{{host}}\/api\/public\/bot\/eraseUsersData<\/code><\/p>\n<p>NOTE: This feature was introduced in ver7.1 of the platform.<\/p>\n<p>Delete User will not be processed if:<\/p>\n<ul>\n<li>The requested user is an account owner of or belongs to one or more accounts.<\/li>\n<li>The requested user is the bot owner or co-developer for one or more bots.<\/li>\n<\/ul>\n\r\n\t\t<\/div>\r\n\t<\/div>\r\n<div class=\"w-separator size_small with_line width_default thick_1 style_solid color_border align_center\"><div class=\"w-separator-h\"><\/div><\/div>\r\n\t<div class=\"wpb_text_column \">\r\n\t\t<div class=\"wpb_wrapper\">\r\n\t\t\t<h3><span class=\"ez-toc-section\" id=\"Query_Parameters\">Query Parameters<\/span><\/h3>\n<table>\n<tbody>\n<tr>\n<th>Parameter<\/th>\n<th>Description<\/th>\n<\/tr>\n<tr>\n<td>host<\/td>\n<td>Environment URL, for example, https:\/\/bots.kore.ai<\/td>\n<\/tr>\n<\/tbody>\n<\/table>\n\r\n\t\t<\/div>\r\n\t<\/div>\r\n<div class=\"w-separator size_small with_line width_default thick_1 style_solid color_border align_center\"><div class=\"w-separator-h\"><\/div><\/div>\r\n\t<div class=\"wpb_text_column \">\r\n\t\t<div class=\"wpb_wrapper\">\r\n\t\t\t<h3><span class=\"ez-toc-section\" id=\"Body_Parameters\">Body Parameters<\/span><\/h3>\n<table>\n<tbody>\n<tr>\n<th>Parameter<\/th>\n<th>Description<\/th>\n<\/tr>\n<tr>\n<td><span style=\"font-weight: 400\">userIds<\/span><\/td>\n<td>The array of user Ids whose details have to be deleted, for example, [&#8220;userId1&#8221;, &#8220;userId2&#8221;]. Can be user email id or enterprise assigned unique id (Kore.ai generated).<\/td>\n<\/tr>\n<tr>\n<td><span style=\"font-weight: 400\">botIds<\/span><\/td>\n<td>The array of bot Ids from where the user details have to be deleted, for example, [&#8220;botId1&#8221;, &#8220;botId2&#8221;]<\/td>\n<\/tr>\n<tr>\n<td><span style=\"font-weight: 400\">RemoveDataFromAllBots<\/span><\/p>\n<p>(optional)<\/td>\n<td>Determines if the specified users details have to be removed from all the Bots. Set to true or false.<\/td>\n<\/tr>\n<\/tbody>\n<\/table>\n\r\n\t\t<\/div>\r\n\t<\/div>\r\n<div class=\"w-separator size_small with_line width_default thick_1 style_solid color_border align_center\"><div class=\"w-separator-h\"><\/div><\/div>\r\n\t<div class=\"wpb_text_column \">\r\n\t\t<div class=\"wpb_wrapper\">\r\n\t\t\t<h3><span class=\"ez-toc-section\" id=\"Authorization\">Authorization<\/span><\/h3>\n<p>Invoke the API with JWT in the header with the following syntax:<\/p>\n<p><code>auth: {{JWT}}<\/code><\/p>\n\r\n\t\t<\/div>\r\n\t<\/div>\r\n<div class=\"w-separator size_small with_line width_default thick_1 style_solid color_border align_center\"><div class=\"w-separator-h\"><\/div><\/div>\r\n\t<div class=\"wpb_text_column \">\r\n\t\t<div class=\"wpb_wrapper\">\r\n\t\t\t<h3><span class=\"ez-toc-section\" id=\"Response_Content_Type\">Response Content Type<\/span><\/h3>\n<p><code>application\/json<\/code><\/p>\n\r\n\t\t<\/div>\r\n\t<\/div>\r\n<div class=\"w-separator size_small with_line width_default thick_1 style_solid color_border align_center\"><div class=\"w-separator-h\"><\/div><\/div>\r\n\t<div class=\"wpb_text_column \">\r\n\t\t<div class=\"wpb_wrapper\">\r\n\t\t\t<h3><span class=\"ez-toc-section\" id=\"Sample_Request\">Sample Request<\/span><\/h3>\n<pre>curl -X DELETE \\\r\n  https:\/\/{{host}}\/api\/public\/bot\/<span style=\"font-weight: 400\">eraseUsersData<\/span>\\\r\n  -H 'Content-Type: application\/json' \\\r\n  -H 'auth: YOUR_JWT_ACCESS_TOKEN' \\\r\n  -d '{\r\n  \tuserIds: [\"userId1\",\"userId2\",\"userId3\"],\r\n\tbotIds: [\"botId1\",\"botId2\",\"botId3\"]\r\n        RemoveDataFromAllBots: true   \/\/ optional\r\n       }'<\/pre>\n\r\n\t\t<\/div>\r\n\t<\/div>\r\n<div class=\"w-separator size_small with_line width_default thick_1 style_solid color_border align_center\"><div class=\"w-separator-h\"><\/div><\/div>\r\n\t<div class=\"wpb_text_column \">\r\n\t\t<div class=\"wpb_wrapper\">\r\n\t\t\t<h3><span class=\"ez-toc-section\" id=\"Sample_Response\">Sample Response<\/span><\/h3>\n<pre>{\r\n  \"requestId\": \"eud-123\",\r\n  \"status\"\u201d: \"in-progress\"\r\n} \r\n<\/pre>\n\r\n\t\t<\/div>\r\n\t<\/div>\r\n<div class=\"w-separator size_small with_line width_default thick_1 style_solid color_border align_center\"><div class=\"w-separator-h\"><\/div><\/div><\/div><\/div><\/div><\/div><\/div><\/section>\n","protected":false},"excerpt":{"rendered":"Used to delete customer data. This API requires JWT generated by an application created only from Bot Admin Console. To use this API, app needs the Admin API Scope of Delete Users Data\u00a0under Bot Analytics. DELETE https:\/\/{{host}}\/api\/public\/bot\/eraseUsersData NOTE: This feature was introduced in ver7.1 of the platform. Delete User will not be processed if: The...","protected":false},"author":4,"featured_media":0,"comment_status":"open","ping_status":"open","sticky":false,"template":"","format":"standard","meta":{"footnotes":""},"categories":[17],"tags":[],"class_list":["post-22671","post","type-post","status-publish","format-standard","hentry","category-api-guide"],"_links":{"self":[{"href":"https:\/\/developer.kore.ai\/v7-2\/wp-json\/wp\/v2\/posts\/22671","targetHints":{"allow":["GET"]}}],"collection":[{"href":"https:\/\/developer.kore.ai\/v7-2\/wp-json\/wp\/v2\/posts"}],"about":[{"href":"https:\/\/developer.kore.ai\/v7-2\/wp-json\/wp\/v2\/types\/post"}],"author":[{"embeddable":true,"href":"https:\/\/developer.kore.ai\/v7-2\/wp-json\/wp\/v2\/users\/4"}],"replies":[{"embeddable":true,"href":"https:\/\/developer.kore.ai\/v7-2\/wp-json\/wp\/v2\/comments?post=22671"}],"version-history":[{"count":6,"href":"https:\/\/developer.kore.ai\/v7-2\/wp-json\/wp\/v2\/posts\/22671\/revisions"}],"predecessor-version":[{"id":23597,"href":"https:\/\/developer.kore.ai\/v7-2\/wp-json\/wp\/v2\/posts\/22671\/revisions\/23597"}],"wp:attachment":[{"href":"https:\/\/developer.kore.ai\/v7-2\/wp-json\/wp\/v2\/media?parent=22671"}],"wp:term":[{"taxonomy":"category","embeddable":true,"href":"https:\/\/developer.kore.ai\/v7-2\/wp-json\/wp\/v2\/categories?post=22671"},{"taxonomy":"post_tag","embeddable":true,"href":"https:\/\/developer.kore.ai\/v7-2\/wp-json\/wp\/v2\/tags?post=22671"}],"curies":[{"name":"wp","href":"https:\/\/api.w.org\/{rel}","templated":true}]}}